<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- XSL para convertir XML de relato a HTML -->
<!-- Fuentes de dominio pblico. 2009. Sin garantias.
	vtamara@pasosdeJesus.org 
	Basado en hoja de estilo para formato GBFXML
-->

<!DOCTYPE xsl:stylesheet [
]>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:output method="html" version="4.0" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" encoding="ISO-8859-1"/>


<!-- Punto de entrada -->
<xsl:template match="relatos">
	<xsl:variable name="titulo">
		<xsl:text>Relatos</xsl:text>
	</xsl:variable>
  <html><head>
		<title><xsl:value-of select="$titulo"/></title>
		<link rel="stylesheet" type="text/css" href="estiloxrlathtml.css" />
	</head><xsl:text>
    </xsl:text>
    <body>
	    <xsl:text>
    </xsl:text>
    <h1><xsl:value-of select="$titulo"/></h1> 
    <xsl:text> 
    </xsl:text>
    <xsl:apply-templates/> 
  </body></html>
</xsl:template>

<xsl:template match="relato"> 
	<h2>Relato</h2>
	<table border='1'>
		<xsl:apply-templates/>
	</table>
</xsl:template>


<xsl:template match="text()">
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template match="observaciones">
	Obs. <xsl:value-of select='@tipo'/>: 
	<xsl:apply-templates/> <br/>
</xsl:template>

<xsl:template match="organizacion_responsable">
	<tr>
		<td>Organizacin responsable</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="derechos">
	<tr><td>Derechos</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="id_relato">
	<tr><td>Identificacin</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="forma_compartir">
	<tr><td>Forma de Compartir</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>
<xsl:template match="titulo">
	<tr><td>Ttulo</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="hechos">
	<tr><td>Hechos</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="persona">
	<tr><td>Persona</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="id_persona">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="nombre1">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="fecha_nacimiento">
	( <xsl:apply-templates/> )
</xsl:template>

<xsl:template match="sexo">
	<xsl:apply-templates/> 
</xsl:template>

<xsl:template match="grupo">
	<tr><td>Grupo</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="id_grupo">
	<xsl:apply-templates/>
</xsl:template>


<xsl:template match="victima">
	<tr><td>Vctima</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="ocupacion">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="sector_condicion">
	( <xsl:apply-templates/> )
</xsl:template>

<xsl:template match="organizacion">
	<xsl:apply-templates/> 
</xsl:template>

<xsl:template match="fecha">
	<tr><td>Fecha</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="hora">
	<tr><td>Hora</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="duracion">
	<tr><td>Duracin</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="departamento">
	<tr><td>Departamento</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="municipio">
	<tr><td>Municipio</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>

<xsl:template match="centro_poblado">
	<tr><td>Centro poblado</td>
		<td> <xsl:apply-templates/> </td>
	</tr>
</xsl:template>




<xsl:template match="acto">
	<tr><td>Acto</td>
		<td> 
			Agresion: <xsl:value-of select='@agresion'/><br/>
			Agresin particular: <xsl:value-of select='@agresion-particular'/><br/>
			Fecha: <xsl:value-of select='@fecha'/><br/>
			Departamento: <xsl:value-of select='@departamento'/><br/>
			Municipio: <xsl:value-of select='@municipio'/><br/>
			Vctima Individual: <xsl:value-of select='@id_victima_individual'/><br/>
			Presunto grupo respondalbe: <xsl:value-of select='@id_presunto_grupo_responsable'/><br/>
			<xsl:apply-templates/> </td>
	</tr>
</xsl:template>


</xsl:stylesheet>



